# $Id: kding.spec 6164 2008-02-18 19:21:47Z dries $
# Authority: dries
# Upstream: Michael Rex <me$rexi,org>

Summary: Frontend for ding, a dictionary lookup program
Name: kding
Version: 0.4.2
Release: 3%{?dist}
License: GPL
Group: Applications/Internet
URL: http://www.rexi.org/software/kding/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.rexi.org/downloads/kding/kding-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: kdelibs3-devel, gcc-c++, gettext
Requires: ding

%description
KDing is a KDE frontend for Ding, a dictionary lookup program. It sits
in KDE's system tray and can translate the current clipboard content.
Users can also enter single words or phrases for translation. It is
intended to be used for translating between German and English, but
can be used with every language for which a word list is available for
Ding.

%prep
%setup

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_bindir}/kding
%{_datadir}/applications/kde/kding.desktop
%{_datadir}/apps/kding/
%{_datadir}/config.kcfg/kding.kcfg
%{_datadir}/doc/HTML/*/kding/
%{_datadir}/icons/*/*/apps/kding.png
%{_datadir}/icons/*/*/actions/kding_search.png

%changelog
* Sat Jan  2 2010 J. Randall Owens <jrowens@ghiapet.net> - 0.4.2-2
- Rebuild for Fedora 12

* Sun Feb 17 2008 Dries Verachtert <dries@ulyssis.org> - 0.4.2-1 - 6164/dries
- Updated to release 0.4.2.

* Mon Sep 10 2007 Dries Verachtert <dries@ulyssis.org> - 0.4.1-1
- Updated to release 0.4.1.

* Fri Aug 17 2007 Dries Verachtert <dries@ulyssis.org> - 0.4-1
- Updated to release 0.4.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 0.3-1.2
- Rebuild for Fedora Core 5.

* Tue Sep 20 2005 Dries Verachtert <dries@ulyssis.org> - 0.3-1
- Initial package.
